View max loan availability
curl --request GET \
--url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/loans/{asset}/availability \
--header 'CB-ACCESS-KEY: <api-key>' \
--header 'CB-ACCESS-PASSPHRASE: <api-key>' \
--header 'CB-ACCESS-SIGN: <api-key>' \
--header 'CB-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/loans/{asset}/availability"
headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/loans/{asset}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"available": 50000
}Portfolios
View max loan availability
View the maximum amount of loan that could be acquired now
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
loans
/
{asset}
/
availability
View max loan availability
- TS/JS
const positionOffsetsService = new PositionOffsetsService(client);
positionOffsetsService.getAssetLoanAvailability({
portfolio: 'PORTFOLIO_ID_HERE',
asset: 'ETH',
}).then(async (response) => {
console.log('Available Asset Loan: ', response);
})
Authorizations
The Client ID that owns the API Key for the request
The pass phrase affiliated with the API Key
A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY
The timestamp of when the request is being made
Path Parameters
Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)
Identifies the asset by name (e.g., BTC), UUID (e.g., 291efb0f-2396-4d41-ad03-db3b2311cb2c), or asset ID (e.g., 1482439423963469)
Response
Max loan amount available
Example:
50000
Was this page helpful?
⌘I